CanvasGraphInternal::Shape Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
CanvasGraphInternal::Shape Struct Reference

Internal: the shape of a CanvasGraph. More...

## Public Member Functions
| Shape ()
| constructor
std::string | getTypeName () const
| returns the type name
int | getSpecialId () const
| try to return the special type

## Public Attributes
int | m_type
| the shape type
MWAWBox2f | m_box
| the bounding box
int | m_rotation
| the transformed child rotation
MWAWVec2f | m_penSize
| the pen size
int | m_mode
| the copy mode (8: copy, 9: xor)
int | m_patterns [2]
| the line, surface pattern
int | m_dash
| the line dash
std::vector< float > | m_dashWidth
| the dash array: a sequence of (fullsize, emptysize) v3.5
int | m_hatchGradChild
| the hatch or gradient child
int | m_values [2]
| the values
MWAWColor | m_colors [2]
| the color
std::vector< MWAWVec2f > | m_points
| the points: line, ...
int | m_child
| the main child (all)
int | m_origChild
| the child before the transformation
std::vector< int > | m_childs
| the childs (group 99)
int | m_align
| the text alignment: 0:left, 1:center, ...
int | m_bitmapType
| the bitmap type
MWAWGraphicStyle::Arrow | m_arrow
| the line/arc arrow
std::string | m_specialType
| the special type
MWAWEntry | m_entry
| the data zone
bool | m_sent
| a flag to know if the shape is already send

## Friends
std::ostream & | operator<< (std::ostream &o, Shape const &s)
| operator<<

## Detailed Description

Internal: the shape of a CanvasGraph.

## Constructor & Destructor Documentation

## ◆ Shape()

CanvasGraphInternal::Shape::Shape | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ getSpecialId()

int CanvasGraphInternal::Shape::getSpecialId | ( |  | ) | const
| inline

try to return the special type

Referenced by CanvasGraph::readShapeData(), CanvasGraph::send(), and CanvasGraph::sendSpecial().

## ◆ getTypeName()

std::string CanvasGraphInternal::Shape::getTypeName | ( |  | ) | const
| inline

returns the type name

Referenced by CanvasGraph::readShapeData(), CanvasGraph::sendDimension(), and CanvasGraph::sendMultiLines().

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Shape const & | s )
| friend

operator<<

## Member Data Documentation

## ◆ m_align

int CanvasGraphInternal::Shape::m_align

the text alignment: 0:left, 1:center, ...

Referenced by CanvasGraph::readShape(), and CanvasGraph::sendText().

## ◆ m_arrow

MWAWGraphicStyle::Arrow CanvasGraphInternal::Shape::m_arrow

the line/arc arrow

Referenced by CanvasGraph::readShapeData(), and CanvasGraph::update().

## ◆ m_bitmapType

int CanvasGraphInternal::Shape::m_bitmapType

the bitmap type

Referenced by CanvasGraph::getBitmap(), CanvasGraph::getBitmapBW(), and CanvasGraph::readShape().

## ◆ m_box

MWAWBox2f CanvasGraphInternal::Shape::m_box

the bounding box

Referenced by CanvasGraph::getBitmap(), CanvasGraph::getBitmapBW(), CanvasGraph::readShape(), CanvasGraph::send(), CanvasGraph::sendDimension(), CanvasGraph::sendMultiLines(), and CanvasGraph::sendSpecial().

## ◆ m_child

int CanvasGraphInternal::Shape::m_child

the main child (all)

Referenced by CanvasGraph::readShape(), and CanvasGraph::send().

## ◆ m_childs

std::vector<int> CanvasGraphInternal::Shape::m_childs

the childs (group 99)

Referenced by CanvasGraph::readShapeData(), CanvasGraph::send(), and CanvasGraph::sendSpecial().

## ◆ m_colors

MWAWColor CanvasGraphInternal::Shape::m_colors[2]

the color

Referenced by CanvasGraph::getBitmapBW(), CanvasGraph::readShape(), and CanvasGraph::update().

## ◆ m_dash

int CanvasGraphInternal::Shape::m_dash

the line dash

Referenced by CanvasGraph::readShape(), and CanvasGraph::update().

## ◆ m_dashWidth

std::vector<float> CanvasGraphInternal::Shape::m_dashWidth

the dash array: a sequence of (fullsize, emptysize) v3.5

Referenced by CanvasGraph::readShapeData(), and CanvasGraph::update().

## ◆ m_entry

MWAWEntry CanvasGraphInternal::Shape::m_entry

the data zone

Referenced by CanvasGraph::getBitmap(), CanvasGraph::getBitmapBW(), CanvasGraph::getPicture(), CanvasGraph::readShape(), CanvasGraph::readShapeData(), CanvasGraph::send(), CanvasGraph::sendDimension(), CanvasGraph::sendMultiLines(), CanvasGraph::sendSpecial(), and CanvasGraph::sendText().

## ◆ m_hatchGradChild

int CanvasGraphInternal::Shape::m_hatchGradChild

the hatch or gradient child

Referenced by CanvasGraph::readShape(), and CanvasGraph::send().

## ◆ m_mode

int CanvasGraphInternal::Shape::m_mode

the copy mode (8: copy, 9: xor)

Referenced by CanvasGraph::readShape().

## ◆ m_origChild

int CanvasGraphInternal::Shape::m_origChild

the child before the transformation

Referenced by CanvasGraph::readShape(), and CanvasGraph::send().

## ◆ m_patterns

int CanvasGraphInternal::Shape::m_patterns[2]

the line, surface pattern

Referenced by CanvasGraph::readShape(), and CanvasGraph::update().

## ◆ m_penSize

MWAWVec2f CanvasGraphInternal::Shape::m_penSize

the pen size

Referenced by CanvasGraph::readShape(), and CanvasGraph::update().

## ◆ m_points

std::vector<MWAWVec2f> CanvasGraphInternal::Shape::m_points

the points: line, ...

Referenced by CanvasGraph::readShapeData(), CanvasGraph::send(), and CanvasGraph::sendSpecial().

## ◆ m_rotation

int CanvasGraphInternal::Shape::m_rotation

the transformed child rotation

Referenced by CanvasGraph::readShape(), and CanvasGraph::send().

## ◆ m_sent

bool CanvasGraphInternal::Shape::m_sent
| mutable

a flag to know if the shape is already send

Referenced by CanvasGraph::send().

## ◆ m_specialType

std::string CanvasGraphInternal::Shape::m_specialType

the special type

Referenced by getSpecialId(), getTypeName(), and CanvasGraph::readShape().

## ◆ m_type

int CanvasGraphInternal::Shape::m_type

the shape type

Referenced by getTypeName(), CanvasGraph::readShape(), CanvasGraph::readShapeData(), CanvasGraph::send(), CanvasGraph::sendText(), and CanvasGraph::update().

## ◆ m_values

int CanvasGraphInternal::Shape::m_values[2]

the values

Referenced by CanvasGraph::getBitmap(), CanvasGraph::readShape(), CanvasGraph::send(), CanvasGraph::sendSpecial(), and CanvasGraph::update().

The documentation for this struct was generated from the following file:

- CanvasGraph.cxx